View Issue Details

IDProjectCategoryView StatusLast Update
0008373Talertaler-harnesspublic2024-06-19 21:30
ReporterFlorian Dold Assigned Toavalos  
PriorityhighSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.12 
Summary0008373: allow running tests against both libeufin-bank and fakebank
DescriptionLibeufin is stable enough again now that we can run the test against both (maybe selected via an env variable).
TagsNo tags attached.

Activities

avalos

2024-06-04 19:24

developer   ~0022509

Currently, the only tests still running only against fakebank (in master) are:

- test-wallet-insufficient-balance
- test-currency-scope
- test-wallet-cli-termination
- test-wallet-denom-expire
- test-wallet-exchange-update
- test-wallettesting
- test-multexchange
- test-withdrawal-conversion

Work in progress! [estimate 6h]

avalos

2024-06-05 22:21

developer   ~0022520

Update: now the only tests running only against fakebank are:

- test-wallet-cli-termination
- test-wallettesting

I need to fix a 401 that libeufin-bank is returning when withdrawing test coins [estimate: 2h]

avalos

2024-06-19 21:30

developer   ~0022679

The remaining two tests now support libeufin, so this can (finally!) be closed.

Issue History

Date Modified Username Field Change
2024-02-12 22:24 Florian Dold New Issue
2024-02-12 22:24 Florian Dold Status new => assigned
2024-02-12 22:24 Florian Dold Assigned To => Florian Dold
2024-03-08 22:36 Florian Dold Assigned To Florian Dold => avalos
2024-04-12 18:11 Christian Grothoff Priority normal => high
2024-04-12 18:11 Christian Grothoff Target Version 0.10 => 0.11
2024-05-13 21:24 Christian Grothoff Target Version 0.11 => 0.12
2024-06-04 19:24 avalos Status assigned => confirmed
2024-06-04 19:24 avalos Note Added: 0022509
2024-06-05 22:21 avalos Note Added: 0022520
2024-06-19 21:30 avalos Status confirmed => resolved
2024-06-19 21:30 avalos Resolution open => fixed
2024-06-19 21:30 avalos Note Added: 0022679